Index: /branches/tracy3-3.10.1b/tracy/tools/soltracy.cc
===================================================================
--- /branches/tracy3-3.10.1b/tracy/tools/soltracy.cc	(revision 22)
+++ /branches/tracy3-3.10.1b/tracy/tools/soltracy.cc	(revision 23)
@@ -1,22 +1,25 @@
-/************************************
+/*
  Current revision $Revision$
  On branch $Name$
  Latest change $Date$ by $Author$
-*************************************/
-#define ORDER 1    
-//#define ORDER 4   
+*/
+#define ORDER 1          
 
 int no_tps = ORDER; // arbitrary TPSA order is defined locally
 
+
+
 extern bool freq_map;
 
-// #if HAVE_CONFIG_H
-// #include <config.h>
-// #endif
-
-// #if MPI_EXEC
-//   //library of parallel computation,must be before "stdio.h"
-//   #include <mpi.h>
-// #endif
+#if HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+/*
+#if MPI_EXEC
+  //library of parallel computation,must be before "stdio.h"
+  #include <mpi.h>
+#endif
+*/
 
   #include "tracy_lib.h"
@@ -41,10 +44,4 @@
   globval.H_exact = false;
 
-  
-  //output files
-  char fic_twiss[S_SIZE + 4] = "";   //twiss file
-  char fic_summary[S_SIZE + 4]="";   //summary file
-  
-  
   /* parameters to read the user input script .prm */
   long i=0L; //initialize the for loop to read command string
@@ -64,8 +61,11 @@
   UserCommand UserCommandFlag[NCOMMAND];
  
-// #if MPI_EXEC
-//   //Initialize parallel computation
-//     MPI_Init(&argc, &argv);
-// #endif
+  /*
+#if MPI_EXEC
+  //Initialize parallel computation
+    MPI_Init(&argc, &argv);
+#endif
+  */
+
   /************************************************************************
    read in files and flags
@@ -76,5 +76,5 @@
     read_script(argv[1], true,CommandNo, UserCommandFlag);
   } else {
-    fprintf(stdout, "Not enough parameters\n Syntax is program parameter file\n");
+    fprintf(stdout, "Not enough parameters\nSyntax is program parameter file\n");
     exit_(1);
   }
@@ -105,20 +105,9 @@
   else
     globval.ge = ElemIndex(ge_name);
- 
- 
+  
 //  globval.g = ElemIndex("g");  /* get family index of  girder*/
- strcpy(fic_twiss,lat_file);
-  strcpy(fic_summary,lat_file);
-  strcat(fic_twiss,".twi"); 
-  strcat(fic_summary,".sum");
-  
-    //generate the twiss and summary files with proper appendix  
-  /* print the summary of the element in lattice to the screen and an external file*/  
+   
+  /* print the summary of the element in lattice */  
   printglob();   
-  printglob2file(fic_summary);
- //print the twiss file
-   /* print out lattice functions, with all the optical information for the lattice with design values */
-  printlatt(fic_twiss);  
-  
   /************************************************************************
     print files, very important file for debug
@@ -263,15 +252,4 @@
    }
    
-   else if(strcmp(CommandStr,"PrintTrackElemFlag") == 0) {
-      cout << "\n";
-      cout << "print the tracked coordinates to file: "
-           << UserCommandFlag[i]._PrintTrackElem_track_file << "\n";
-      	
-      PrintTrackElem(UserCommandFlag[i]._PrintTrackElem_track_file,
-                 UserCommandFlag[i]._PrintTrackElem_x, UserCommandFlag[i]._PrintTrackElem_px, 
-                 UserCommandFlag[i]._PrintTrackElem_y, UserCommandFlag[i]._PrintTrackElem_py, 
-                 UserCommandFlag[i]._PrintTrackElem_delta,UserCommandFlag[i]._PrintTrackElem_ctau,
-		 UserCommandFlag[i]._PrintTrackElem_nelem1,UserCommandFlag[i]._PrintTrackElem_nelem2);  
-   }
     //print the girder
   // else if(strcmp(CommandStr,"PrintGirderFlag") == 0) {
@@ -468,6 +446,7 @@
   else if(strcmp(CommandStr,"FmapFlag") == 0) {
     printf("\n begin Fmap calculation for on momentum particles: \n");
-    
-  //  #if MPI_EXEC
+  
+  //   /*  
+ //   #if MPI_EXEC
 
  //    //initialization for parallel computing
@@ -490,5 +469,4 @@
  // 	   UserCommandFlag[i]._FmapFlag_delta, 
  // 	   UserCommandFlag[i]._FmapFlag_diffusion,
- //        UserCommandFlag[i]._FmapFlag_printloss,
  // 	   numprocs,myid);
 
@@ -543,7 +521,7 @@
 	   UserCommandFlag[i]._FmapFlag_ymax, 
 	   UserCommandFlag[i]._FmapFlag_delta, 
-	   UserCommandFlag[i]._FmapFlag_diffusion,
-	   UserCommandFlag[i]._FmapFlag_printloss);
+	   UserCommandFlag[i]._FmapFlag_diffusion);
       //#endif
+    
   }
 
@@ -551,5 +529,6 @@
   else if(strcmp(CommandStr,"FmapdpFlag") == 0) {
     printf("\n begin Fmap calculation for off momentum particles: \n");
-    
+   
+  //   /* 
  //   #if MPI_EXEC
 
@@ -572,5 +551,4 @@
  // 	     UserCommandFlag[i]._FmapdpFlag_z,
  // 	     UserCommandFlag[i]._FmapdpFlag_diffusion,
- //            UserCommandFlag[i]._FmapdpFlag_printloss,
  // 	     numprocs,myid);
 
@@ -625,7 +603,7 @@
 	      UserCommandFlag[i]._FmapdpFlag_emax, 
 	      UserCommandFlag[i]._FmapdpFlag_z,
-	      UserCommandFlag[i]._FmapdpFlag_diffusion,
-	       UserCommandFlag[i]._FmapdpFlag_printloss);
-       //  #endif
+	      UserCommandFlag[i]._FmapdpFlag_diffusion);
+       // #endif
+    
   }
 
@@ -657,5 +635,6 @@
     printf("\n Calculate momentum acceptance: \n");
 
-//  #if MPI_EXEC
+   
+ // #if MPI_EXEC
     
 //     /* calculate momentum acceptance*/
@@ -789,4 +768,5 @@
 
 // #else
+
      MomentumAcceptance(UserCommandFlag[i]._MomentumAccFlag_momacc_file,
 			UserCommandFlag[i]._MomentumAccFlag_istart, 
@@ -800,5 +780,7 @@
 			UserCommandFlag[i]._MomentumAccFlag_nturn,
 			UserCommandFlag[i]._MomentumAccFlag_zmax);
-     //  #endif   
+     /*
+  #endif   
+     */
 
     /* restore the initial values*/
@@ -863,5 +845,5 @@
 	  UserCommandFlag[i]._Phase_ctau, 
 	  UserCommandFlag[i]._Phase_nturn);
-    printf("6D phase space tracking: \n the simulation time for phase space in tracy 3 is \n");
+    printf("the simulation time for phase space in tracy 3 is \n");
     stop = stampstop(start);
 
@@ -1021,8 +1003,10 @@
 
  
- // #if MPI_EXEC
- //  MPI_Finalize();   //finish parallel computation
- // #endif
-  
+  /*
+ #if MPI_EXEC
+  MPI_Finalize();   //finish parallel computation
+ #endif
+  */
+
   return 0;
 }//end of main() 
Index: /branches/tracy3-3.10.1b/tracy/tracy/inc/naffutils.h
===================================================================
--- /branches/tracy3-3.10.1b/tracy/tracy/inc/naffutils.h	(revision 22)
+++ /branches/tracy3-3.10.1b/tracy/tracy/inc/naffutils.h	(revision 23)
@@ -27,7 +27,4 @@
 		 double ctau, long nmax, double Tx[][NTURN], bool *status);
 
-void Trac_Simple4DCOD(double x, double px, double y, double py, double dp, 
-                 double ctau, long nmax, double Tx[][NTURN], long& lastn, long& lastpos,ss_vect<double>& x1,bool *status2);
-
 void Trac_Simple6DCOD(double x, double px, double y, double py, double dp,
          double ctau, long nmax, double Tx[][NTURN], bool *status);
Index: /branches/tracy3-3.10.1b/tracy/tracy/inc/physlib.h
===================================================================
--- /branches/tracy3-3.10.1b/tracy/tracy/inc/physlib.h	(revision 22)
+++ /branches/tracy3-3.10.1b/tracy/tracy/inc/physlib.h	(revision 23)
@@ -55,6 +55,4 @@
 
 void printglob(void);
-
-void printglob2file(const char fic[]); 
 
 void printlatt(const char fic[]);
Index: /branches/tracy3-3.10.1b/tracy/tracy/inc/read_script.h
===================================================================
--- /branches/tracy3-3.10.1b/tracy/tracy/inc/read_script.h	(revision 22)
+++ /branches/tracy3-3.10.1b/tracy/tracy/inc/read_script.h	(revision 23)
@@ -37,11 +37,4 @@
    long  _PrintTrack_nmax; 
    
-   //start track particle coordinates; PrintTrackFlag
-   char _PrintTrackElem_track_file[max_str];
-   double _PrintTrackElem_x, _PrintTrackElem_px, _PrintTrackElem_y, 
-          _PrintTrackElem_py, _PrintTrackElem_delta, _PrintTrackElem_ctau;
-   long  _PrintTrackElem_nelem1, _PrintTrackElem_nelem2; 
-   
-   
    //twiss file 
    char _PrintTwiss_twiss_file[max_str];
@@ -65,7 +58,5 @@
    long _FmapFlag_nxpoint, _FmapFlag_nypoint, _FmapFlag_nturn;
    double _FmapFlag_xmax, _FmapFlag_ymax, _FmapFlag_delta;
-   bool _FmapFlag_diffusion;
-   bool _FmapFlag_printloss;
-   
+   bool _FmapFlag_diffusion; 
  
  //extern bool FmapdpFlag;
@@ -73,6 +64,5 @@
    long _FmapdpFlag_nxpoint, _FmapdpFlag_nepoint, _FmapdpFlag_nturn;
    double _FmapdpFlag_xmax, _FmapdpFlag_emax, _FmapdpFlag_z;
-   bool _FmapdpFlag_diffusion;
-   bool _FmapdpFlag_printloss;
+   bool _FmapdpFlag_diffusion;	
 
    
@@ -120,5 +110,5 @@
    _FmapFlag_nxpoint=31L, _FmapFlag_nypoint=21L, _FmapFlag_nturn=516L;
    _FmapFlag_xmax=0.025, _FmapFlag_ymax=0.005, _FmapFlag_delta=0.0;
-   _FmapFlag_diffusion = true, _FmapFlag_printloss = false;
+   _FmapFlag_diffusion = true;
 
 /*fmap for off momentum particle*/
@@ -126,6 +116,6 @@
  _FmapdpFlag_nxpoint=31L, _FmapdpFlag_nepoint=21L, _FmapdpFlag_nturn=516L;
  _FmapdpFlag_xmax=0.025, _FmapdpFlag_emax=0.005, _FmapdpFlag_z=0.0;
- _FmapdpFlag_diffusion = true, _FmapdpFlag_printloss = false;
- 
+ _FmapdpFlag_diffusion = true;			
+
 /* tune shift with amplitude*/
  strcpy(_AmplitudeTuneShift_nudx_file,"nudx.out");
@@ -172,7 +162,5 @@
 
 /***** file names************/
-extern char    lat_file[max_str];
-
-//files with multipole errors; for soleil lattice
+ //files with multipole errors; for soleil lattice
  extern char fic_hcorr[max_str],fic_vcorr[max_str], fic_skew[max_str];
  extern char multipole_file[max_str];
Index: /branches/tracy3-3.10.1b/tracy/tracy/inc/soleillib.h
===================================================================
--- /branches/tracy3-3.10.1b/tracy/tracy/inc/soleillib.h	(revision 22)
+++ /branches/tracy3-3.10.1b/tracy/tracy/inc/soleillib.h	(revision 23)
@@ -58,13 +58,11 @@
 //              double z, bool diffusion, bool matlab);
 void fmap(const char *FmapFile, long Nbx, long Nbz, long Nbtour, double xmax, double zmax,
-          double energy, bool diffusion);	
-void fmap(const char *FmapFile, long Nbx, long Nbz, long Nbtour, double xmax, double zmax,
-          double energy, bool diffusion, bool printloss);	
+          double energy, bool diffusion);	  
 void fmap_p(const char *FmapFile, long Nbx, long Nbz, long Nbtour, double xmax, double zmax,
-          double energy, bool diffusion, bool printloss, int numprocs, int myid);	  
+          double energy, bool diffusion, int numprocs, int myid);	  
 void fmapdp(const char *FmapdpFile, long Nbx, long Nbe, long Nbtour, double xmax, double emax,
-              double z, bool diffusion, bool printloss);
+              double z, bool diffusion);
 void fmapdp_p(const char *FmapdpFile, long Nbx, long Nbe, long Nbtour, double xmax, double emax, 
-            double z, bool diffusion, bool printloss, int numprocs, int myid);
+            double z, bool diffusion, int numprocs, int myid);
 void Nu_Naff(void);
 
@@ -130,10 +128,8 @@
 /* fit tunes for soleil lattice, in which each quadrupole is cut into two parts*/			
 void FitTune4(long qf1,long qf2, long qd1, long qd2, double nux, double nuy);			 
-//print the coordinates at lattice elements tracked for n turns
+//print the coordinates at lattice elements
 void PrintTrack(const char *TrackFile, double x, double px,double y,double py, 
                 double delta, double ctau, long int nmax);
-//print the tracked coordinates after a lattice element
-void PrintTrackElem(const char *TrackFile, double x, double px,double y,double py, 
-                double delta, double ctau, long int nelem1,long int nelem2);
+		
 
 
Index: /branches/tracy3-3.10.1b/tracy/tracy/inc/t2elem.h
===================================================================
--- /branches/tracy3-3.10.1b/tracy/tracy/inc/t2elem.h	(revision 22)
+++ /branches/tracy3-3.10.1b/tracy/tracy/inc/t2elem.h	(revision 23)
@@ -38,7 +38,4 @@
 
 template<typename T>
-void Drift(double L,double h_bend, ss_vect<T> &x);
-
-template<typename T>
 void Drift(double L, ss_vect<T> &x);
 
@@ -47,11 +44,5 @@
 
 template<typename T>
-void bend_fringe(double hb, double gap, ss_vect<T> &x);
-
-template<typename T>
-static void bendCurvature(double irho, double H, ss_vect<T> &x); 
-
-template<typename T>
-static void EdgeFocus(double irho, double phi, double gap, ss_vect<T> &x, bool Entrance);
+static void EdgeFocus(double irho, double phi, double gap, ss_vect<T> &x);
 
 template<typename T>
@@ -61,9 +52,4 @@
 template<typename T>
 void Drift_Pass(CellType &Cell, ss_vect<T> &x);
-
-template<typename T>
-void dipole_kick(double L, double h_ref, double h_bend, ss_vect<T> &x);
-template<typename T>
-void multipole_kick(int Order, double MB[], double L, double h_bend, ss_vect<T> &x);
 
 template<typename T>
Index: /branches/tracy3-3.10.1b/tracy/tracy/inc/tpsa_lin.h
===================================================================
--- /branches/tracy3-3.10.1b/tracy/tracy/inc/tpsa_lin.h	(revision 22)
+++ /branches/tracy3-3.10.1b/tracy/tracy/inc/tpsa_lin.h	(revision 23)
@@ -75,19 +75,11 @@
 void dacos(const tps_buf &x, tps_buf &z);
 
-void datan(const tps_buf &x, tps_buf &z);
-
-void dactan(const tps_buf &x, tps_buf &z);
-
 void dasinh(const tps_buf &x, tps_buf &z);
 
 void dacosh(const tps_buf &x, tps_buf &z);
 
-void daarcsin(const tps_buf &x, tps_buf &z);
-
-void daarccos(const tps_buf &x, tps_buf &z);
+void datan(const tps_buf &x, tps_buf &z);
 
 void daarctan(const tps_buf &x, tps_buf &z);
-
-void daarcctan(const tps_buf &x, tps_buf &z);
 
 void dafun_(const char *fun, const tps_buf &x, tps_buf &z);
Index: /branches/tracy3-3.10.1b/tracy/tracy/inc/tracy.h
===================================================================
--- /branches/tracy3-3.10.1b/tracy/tracy/inc/tracy.h	(revision 22)
+++ /branches/tracy3-3.10.1b/tracy/tracy/inc/tracy.h	(revision 23)
@@ -110,7 +110,6 @@
   bool tuneflag, chromflag, codflag, mapflag, passflag, overflag, chambre;
   int lossplane; /* lost in: horizontal    1
-                             vertical      2
-                             longitudinal  3 
-                              not lost in any of the above plane: 0*/
+		                     vertical      2
+			                 longitudinal  3 */
 } statusrec;
 
Index: /branches/tracy3-3.10.1b/tracy/tracy/inc/tracy_global.h
===================================================================
--- /branches/tracy3-3.10.1b/tracy/tracy/inc/tracy_global.h	(revision 22)
+++ /branches/tracy3-3.10.1b/tracy/tracy/inc/tracy_global.h	(revision 23)
@@ -79,6 +79,4 @@
   int         Pmethod;   // Integration Method
   int         PN;        // Number of integration steps
-  long        dipEdge_effect1; // dipole edge effect at the entrance
-  long        dipEdge_effect2; // dipole edge effect at the exit
   long        quadFF1;         /* Entrance quadrupole Fringe field flag */
   long        quadFF2;         /* Exit quadrupole Fringe field flag */
@@ -100,9 +98,9 @@
   double      PdTrnd;    // (normal)random scale factor to rotation error PdTrms
   // Multipole strengths
-  mpolArray   PBpar;     // design field gradient; bn, and an
-  mpolArray   PBsys;     // systematic multipole errors gradient, bn and an
-  mpolArray   PBrms;     // rms multipole field errors gradient, bn and an
-  mpolArray   PBrnd;     // random scale factor of rms error PBrms gradient, bn and an
-  mpolArray   PB;        // total field strength(design,sys,rms) gradient, bn and an
+  mpolArray   PBpar;     // design field strength
+  mpolArray   PBsys;     // systematic multipole errors
+  mpolArray   PBrms;     // rms multipole field errors
+  mpolArray   PBrnd;     // random scale factor of rms error PBrms
+  mpolArray   PB;        // total field strength(design,sys,rms)
   int         Porder;    // The highest order in PB
   int         n_design;  // multipole order (design, All = 0, Dip = 1, Quad = 2, Sext = 3, Oct = 4, Dec = 5, Dodec = 6)
@@ -111,6 +109,4 @@
   double PTx1;           // horizontal entrance angle [deg]
   double PTx2;           // horizontal exit angle [deg]
-  double PH1;            // bending curvature of the entrance pole face of dipole, see P116 SAC-75. 
-  double PH2;            // bending curvature of the exit pole face of dipole, see P116 SAC-75. 
   double Pgap;           // total magnet gap [m] 
   double Pirho;          // angle([radian], but in lattice definition, angle is with unit degree)/length of the dipole, 1/rho [1/m] 
Index: /branches/tracy3-3.10.1b/tracy/tracy/src/naffutils.cc
===================================================================
--- /branches/tracy3-3.10.1b/tracy/tracy/src/naffutils.cc	(revision 22)
+++ /branches/tracy3-3.10.1b/tracy/tracy/src/naffutils.cc	(revision 23)
@@ -18,11 +18,10 @@
 
 /****************************************************************************/
-/* void Trac_Simple4DCOD(double x, double px, double y, double py, double dp, 
-                 double ctau, long nmax, double Tx[][NTURN], bool *status2)
+/* void Trac_Simple4DCOD(double x, double px, double y, double py, double dp, long nmax,
+                 double Tx[][NTURN], bool *status)
 
    Purpose:
        Single particle tracking around the closed orbit for NTURN turns
-       The 6D phase trajectory is saved in a array, but the 
-       tracked dp and ctau is not about the COD.
+       The 6D phase trajectory is saved in a array
 
    Input:
@@ -70,5 +69,5 @@
 
   
-  if (!trace && status.codflag) 
+  if (trace && status.codflag) 
     printf("dp= % .5e %% xcod= % .5e mm zcod= % .5e mm \n",
              dp*1e2, globval.CODvect[0]*1e3, globval.CODvect[2]*1e3);
@@ -108,5 +107,4 @@
   } while ((lastn < nmax) && (lastpos == globval.Cell_nLoc) && (lostF == false));
 
-  
   if (lastpos != globval.Cell_nLoc)
   { /* Particle lost: Error message section */
@@ -118,122 +116,7 @@
 }
 
-
-/****************************************************************************/
-/* void Trac_Simple4DCOD(double x, double px, double y, double py, double dp, 
-                 double ctau, long nmax, double Tx[][NTURN], bool *status2)
-
-   Purpose:
-       Single particle tracking around the closed orbit for NTURN turns
-       The 6D phase trajectory is saved in a array, but the 
-       tracked dp and ctau is not about the COD.
-
-   Input:
-       x, px, y, py 4 transverse coordinates
-       dp           energy offset
-       nmax         number of turns
-       pos          starting position for tracking
-       aperture     global physical aperture
-
-   Output:
-      lastn         last n (should be nmax if  not lost)
-      lastpos       last position in the ring
-      Tx            6xNTURN matrix of phase trajectory
-
-   Return:
-       none
-
-   Global variables:
-       NTURN number of turn for tracking
-       globval
-
-   Specific functions:
-       Cell_Pass
-
-   Comments:
-       useful for connection with NAFF
-       19/01/03 tracking around the closed orbit
-       
-       11/06/2013  Modified by Jianfeng Zhang @ LAL 
-       The same feature as function  
-       Trac_Simple4DCOD(double x, double px, double y, double py, double dp, 
-                 double ctau, long nmax, double Tx[][NTURN], bool *status2)
-       but add the feature to extract the position of the location of 
-       the lost particle; 
-       called by function 
-       fmap(const char *FmapFile, long Nbx, long Nbz, long Nbtour, double xmax, double zmax,
-          double energy, bool diffusion, bool loss)	  
-       in soleillib.cc.
-       
-****************************************************************************/
-void Trac_Simple4DCOD(double x, double px, double y, double py, double dp, 
-                 double ctau, long nmax, double Tx[][NTURN], long& lastn, long& lastpos, ss_vect<double>& x1, bool *status2)
-{
-  bool             lostF = false; /* Lost particle Flag */
-  Vector2          aperture = {1.0, 1.0};
-
-   lastn = 0;
-   lastpos = globval.Cell_nLoc;
-  *status2 = true; /* stable */
-   x1[0]=0,x1[1]=0,x1[2]=0,x1[3]=0,x1[4]=0,x1[5]=0;
-  
-  if (globval.MatMeth) Cell_Concat(dp);
-
-  /* Get closed orbit */
-
-  getcod(dp, lastpos);
-
-  
-  if (!trace && status.codflag) 
-    printf("dp= % .5e %% xcod= % .5e mm zcod= % .5e mm \n",
-             dp*1e2, globval.CODvect[0]*1e3, globval.CODvect[2]*1e3);
-
-  /* Tracking coordinates around the closed orbit */
-  x1[0] =  x + globval.CODvect[0]; x1[1] = px + globval.CODvect[1];
-  x1[2] =  y + globval.CODvect[2]; x1[3] = py + globval.CODvect[3];
-  x1[4] = dp; x1[5] = ctau;
-
-  Tx[0][lastn] = x1[0]; Tx[1][lastn] = x1[1];
-  Tx[2][lastn] = x1[2]; Tx[3][lastn] = x1[3];
-  Tx[4][lastn] = x1[4]; Tx[5][lastn] = x1[5];
-  lastn++;
-
-  do
-  { /* tracking through the ring */
-    if ((lastpos == globval.Cell_nLoc) &&
-        (fabs(x1[0]) < aperture[0]) && (fabs(x1[2]) < aperture[1]) && status.codflag)
-    {
-      if (globval.MatMeth)
-        Cell_fPass(x1, lastpos);
-      else
-        Cell_Pass(0, globval.Cell_nLoc, x1, lastpos);
-      Tx[0][lastn] = x1[0]; Tx[1][lastn] = x1[1];
-      Tx[2][lastn] = x1[2]; Tx[3][lastn] = x1[3];
-      Tx[4][lastn] = x1[4]; Tx[5][lastn] = x1[5];
-    }
-    else
-    {
-      printf("Trac_Simple: Particle lost \n");
-      fprintf(stdout, "%6ld plane: %1d %+10.5g %+10.5g %+10.5g %+10.5g %+10.5g %+10.5g \n", 
-         lastn, status.lossplane, x1[0], x1[1], x1[2], x1[3], x1[4], x1[5]);
-      lostF = true;
-      *status2 = false;
-    }
-    lastn++;
-  } while ((lastn < nmax) && (lastpos == globval.Cell_nLoc) && (lostF == false));
-
-  
-  if (lastpos != globval.Cell_nLoc)
-  { /* Particle lost: Error message section */
-    *status2 = false;
-    printf("Trac_Simple: Particle lost \n");
-    fprintf(stdout, "turn=%5ld plane= %1d %+10.5g %+10.5g %+10.5g %+10.5g %+10.5g %+10.5g \n", lastn-1,
-             status.lossplane, x1[0], x1[1], x1[2], x1[3], x1[4], x1[5]);
-  }
-}
-
-
 /****************************************************************************/
 /* void Trac_Simple6DCOD(double x, double px, double y, double py, double dp, long nmax,
-                 double Tx[][NTURN], bool *status2)
+                 double Tx[][NTURN], bool *status)
 
    Purpose:
